Subject: [Tools-discuss] Issues with bibxml3 files for I-Ds

From: Thomas Dreibholz <[email-masked]>
Date: Sat, 26 Apr 2014 20:35:53 +0200

Hi,

I am not sure whether the tools-discuss list is the right list for this bug report, but I have found some issues with the bibxml3 files (i.e. http://xml.resource.org/public/rfc/bibxml3/):

1. The date of many entries does not correspond to the date of the document. For example, https://xml.resource.org/public/rfc/bibxml3/reference.I-D.dreibholz-tsvwg-sctpsocket-sqinfo.xml has the entry
"<date month="January" day="4" year="2014"/>". However, the corresponding I-D http://www.ietf.org/id/draft-dreibholz-tsvwg-sctpsocket-sqinfo-07.txt is from January 5.

May it be possible that the bibxml3 generator stores the date of the I-D submission instead of the date included in the document?

This is probably no time zone problem. For example, the date in https://xml.resource.org/public/rfc/bibxml3/reference.I-D.ietf-rserpool-comp.xml differs from the draft https://tools.ietf.org/id/draft-ietf-rserpool-comp-11.txt by five days.

2. Some bibxml3 files do not include all authors. For example, https://xml.resource.org/public/rfc/bibxml3/reference.I-D.ietf-rserpool-comp.xml contains just a single author while the corresponding draft https://tools.ietf.org/id/draft-ietf-rserpool-comp-11.txt has five authors. This is a major bug.

-- 
Best regards / Mit freundlichen Grüßen / Med vennlig hilsen

=======================================================================
 Thomas Dreibholz

 Simula Research Laboratory
 Simula Innovation AS, Network Systems Group
 Visiting address: Martin Linges vei 17, 1364 Fornebu, Norway
 Mailing address:  P.O.Box 134, 1325 Lysaker, Norway
-----------------------------------------------------------------------
 E-Mail:     [email-masked]
 Homepage:   http://simula.no/people/dreibh
=======================================================================